Summary: NCAR Graphics is a Fortran and C based software package for scientific visualization
Name: ncarg
Version: 4.4.1
Release: 1.PU_IAS.1
URL: http://ngwww.ucar.edu/ng4.2/
Source: ncarg-%{version}.src.tar.gz
# Patch: LiDIA_nointeractivity.patch
Patch1: ncarg-4.3.0-fixes.patch
Patch2: ncarg-4.3.1-x86_64.patch
Copyright: GPL
Group: Scientific/Libraries
BuildRoot: %{_tmppath}/ncarg-root
BuildRequires: HDF
Prefix: %{_prefix}
Packager: Josko Plazonic <plazonic@math.princeton.edu>

%define bininstall %{_bindir}
%define libinstall %{_libdir}
%define maninstall %{_mandir}
%define incinstall %{_includedir}

%description
NCAR Graphics is a Fortran and C based software package for scientific 
visualization.  
It is comprised of 
- a library containing over two dozen Fortran/C utilities for drawing contours,
maps, vectors, streamlines, weather maps, surfaces, histograms, X/Y plots, 
annotations, and more;
- an ANSI/ISO standard version of GKS, with both C and FORTRAN callable entries
- a math library containing a collection of C and Fortran interpolators and 
approximators for one-dimensional, two-dimensional, and three-dimensional data
- applications for displaying, editing, and manipulating graphical output
- map databases
- hundreds of FORTRAN and C examples
- demo programs
- compilation scripts

%package doc
Summary: Documentation for NCAR Graphics Fortran/C software package
Group: Scientific/Documentation

%description doc
This package contains documentation for NCAR Graphics Fortran and C software 
package for scientific visualization.

%prep
%setup -q
%patch1 -p 1
%patch2 -p 1 -b .x86_64

%build
cat > config/Site.local <<ENDCONFIG
#ifdef FirstSite

#endif /* FirstSite */


#ifdef SecondSite

/* #define YmakeRoot /usr/local/ncarg */
#define BinRoot %{bininstall}
#define IncRoot %{incinstall}
#define LibRoot %{libinstall}
#define ManRoot %{maninstall}
#define TmpRoot /tmp

#define LibSearch -L/usr/X11R6/%{_lib} -L%{libinstall}
#define IncSearch -I/usr/X11R6/include -I%{incinstall}


#define ExtraSysLibraries -ldl

#endif /* SecondSite */
ENDCONFIG
echo 'n' | ./Configure
make Build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{bininstall} 
mkdir -p ${RPM_BUILD_ROOT}/%{incinstall}
mkdir -p ${RPM_BUILD_ROOT}/%{libinstall}
mkdir -p ${RPM_BUILD_ROOT}/%{maninstall}
make BINPATH=${RPM_BUILD_ROOT}/%{bininstall} LIBPATH=${RPM_BUILD_ROOT}/%{libinstall} INCPATH=${RPM_BUILD_ROOT}/%{incinstall} MANPATH=${RPM_BUILD_ROOT}/%{maninstall} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README Copyright
%{bininstall}/*
%{incinstall}/ncarg
%{libinstall}/ncarg
%{libinstall}/lib*
%{maninstall}/man*/*

#files doc
#defattr(-,root,root)
#doc ngdoc-%{docversion}/*

%changelog
* Sat Jun 19 2004 Josko Plazonic <plazonic@math.princeton.edu>
- new version

* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9

* Mon Dec  3 2001 Josko Plazonic <plazonic@math.princeton.edu>
- initial release as rpm

